Skip to main content
GET
/
v1beta1
/
networking
/
vpcs
List VPCs
curl --request GET \
  --url https://api.coreweave.com/v1beta1/networking/vpcs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.coreweave.com/v1beta1/networking/vpcs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.coreweave.com/v1beta1/networking/vpcs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "name": "<string>",
      "zone": "<string>",
      "id": "<string>",
      "vpcPrefixes": [
        {
          "name": "<string>",
          "value": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "hostPrefix": "<string>",
      "hostPrefixes": [
        {
          "name": "<string>",
          "prefixes": [
            "<string>"
          ],
          "ipam": {
            "prefixLength": 123
          }
        }
      ],
      "ingress": {
        "disablePublicServices": true
      },
      "egress": {
        "disablePublicAccess": true
      },
      "dhcp": {
        "dns": {
          "servers": [
            "<string>"
          ]
        }
      }
    }
  ]
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}
Use this endpoint to enumerate every VPC the caller has access to. Results span all Availability Zones.
Example request
curl -X GET https://api.coreweave.com/v1beta1/networking/vpcs \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}"

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token.

Response

OK

items
object[]
read-only

The list of VPCs.

Last modified on May 22, 2026